/* /Components/Controls/WaitingOverlay.razor.rz.scp.css */
.loading-overlay[b-zcrvbumvqa] {
    position: fixed;
    inset: 0;
    background-color: rgba(0, 0, 0, 0.4);
    z-index: 1055; /* above Bootstrap modals */
    display: flex;
    align-items: center;
    justify-content: center;
}

.loading-overlay-content[b-zcrvbumvqa] {
    background: white;
    padding: 2rem 3rem;
    border-radius: 0.5rem;
    text-align: center;
    box-shadow: 0 0.5rem 1rem rgba(0,0,0,.25);
}
/* /Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-kilua3r6un] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-kilua3r6un] {
    flex: 1;
}

.sidebar[b-kilua3r6un] {
    background-image: linear-gradient(180deg, #FFCC11 0%, hwb(48 0% 0% / 0.589) 70%);
}

.top-row[b-kilua3r6un] {
    background-color: #FFCC11;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-kilua3r6un]  a, .top-row[b-kilua3r6un]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-kilua3r6un]  a:hover, .top-row[b-kilua3r6un]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-kilua3r6un]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row[b-kilua3r6un] {
        justify-content: space-between;
    }

    .top-row[b-kilua3r6un]  a, .top-row[b-kilua3r6un]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-kilua3r6un] {
        flex-direction: row;
    }

    .sidebar[b-kilua3r6un] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-kilua3r6un] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-kilua3r6un]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-kilua3r6un], article[b-kilua3r6un] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

#blazor-error-ui[b-kilua3r6un] {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-kilua3r6un] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* /Components/Layout/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-kf7jkt427i] {
    appearance: none;
    cursor: pointer;
    width: 3.5rem;
    height: 2.5rem;
    color: black;
    position: absolute;
    top: 0.5rem;
    right: 1rem;
    border: 1px solid black;
    background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='black' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") no-repeat center/1.75rem rgba(255, 255, 255, 0.1);
}

.navbar-toggler:checked[b-kf7jkt427i] {
    background-color: rgba(255, 255, 255, 0.5);
}

.top-row[b-kf7jkt427i] {
    min-height: 3.5rem;
    background-color: #FFCC11;
    color: black;
}

.navbar-brand[b-kf7jkt427i] {
    font-size: 1.3rem;
    color: black;
}

.bi[b-kf7jkt427i] {
    display: inline-block;
    position: relative;
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 0.75rem;
    top: -1px;
    background-size: cover;
}

.bi-house-door-fill-nav-menu[b-kf7jkt427i] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='black' class='bi bi-house-door-fill' viewBox='0 0 16 16'%3E%3Cpath d='M6.5 14.5v-3.505c0-.245.25-.495.5-.495h2c.25 0 .5.25.5.5v3.5a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5v-7a.5.5 0 0 0-.146-.354L13 5.793V2.5a.5.5 0 0 0-.5-.5h-1a.5.5 0 0 0-.5.5v1.293L8.354 1.146a.5.5 0 0 0-.708 0l-6 6A.5.5 0 0 0 1.5 7.5v7a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5Z'/%3E%3C/svg%3E");
}

.bi-plus-square-fill-nav-menu[b-kf7jkt427i] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='black' class='bi bi-plus-square-fill' viewBox='0 0 16 16'%3E%3Cpath d='M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3a.5.5 0 0 1 1 0z'/%3E%3C/svg%3E");
}

.bi-list-nested-nav-menu[b-kf7jkt427i] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='black' class='bi bi-list-nested' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M4.5 11.5A.5.5 0 0 1 5 11h10a.5.5 0 0 1 0 1H5a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 3 7h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 1 3h10a.5.5 0 0 1 0 1H1a.5.5 0 0 1-.5-.5z'/%3E%3C/svg%3E");
}

.bi-box-arrow-in-right-nav-menu[b-kf7jkt427i] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='black' class='bi bi-box-arrow-in-right' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M6 3.5a.5.5 0 0 1 .5-.5h8a.5.5 0 0 1 .5.5v9a.5.5 0 0 1-.5.5h-8a.5.5 0 0 1-.5-.5v-2a.5.5 0 0 0-1 0v2A1.5 1.5 0 0 0 6.5 14h8a1.5 1.5 0 0 0 1.5-1.5v-9A1.5 1.5 0 0 0 14.5 2h-8A1.5 1.5 0 0 0 5 3.5v2a.5.5 0 0 0 1 0z'/%3E%3Cpath fill-rule='evenodd' d='M11.854 8.354a.5.5 0 0 0 0-.708l-3-3a.5.5 0 1 0-.708.708L10.293 7.5H1.5a.5.5 0 0 0 0 1h8.793l-2.147 2.146a.5.5 0 0 0 .708.708z'/%3E%3C/svg%3E");
}
.bi-router-nav-menu[b-kf7jkt427i] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='black' class='bi bi-router' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M5.525 3.025a3.5 3.5 0 0 1 4.95 0 .5.5 0 1 0 .707-.707 4.5 4.5 0 0 0-6.364 0 .5.5 0 0 0 .707.707'/%3E%3Cpath d='M6.94 4.44a1.5 1.5 0 0 1 2.12 0 .5.5 0 0 0 .708-.708 2.5 2.5 0 0 0-3.536 0 .5.5 0 0 0 .707.707ZM2.5 11a.5.5 0 1 1 0-1 .5.5 0 0 1 0 1m4.5-.5a.5.5 0 1 0 1 0 .5.5 0 0 0-1 0m2.5.5a.5.5 0 1 1 0-1 .5.5 0 0 1 0 1m1.5-.5a.5.5 0 1 0 1 0 .5.5 0 0 0-1 0m2 0a.5.5 0 1 0 1 0 .5.5 0 0 0-1 0'/%3E%3Cpath d='M2.974 2.342a.5.5 0 1 0-.948.316L3.806 8H1.5A1.5 1.5 0 0 0 0 9.5v2A1.5 1.5 0 0 0 1.5 13H2a.5.5 0 0 0 .5.5h2A.5.5 0 0 0 5 13h6a.5.5 0 0 0 .5.5h2a.5.5 0 0 0 .5-.5h.5a1.5 1.5 0 0 0 1.5-1.5v-2A1.5 1.5 0 0 0 14.5 8h-2.306l1.78-5.342a.5.5 0 1 0-.948-.316L11.14 8H4.86zM14.5 9a.5.5 0 0 1 .5.5v2a.5.5 0 0 1-.5.5h-13a.5.5 0 0 1-.5-.5v-2a.5.5 0 0 1 .5-.5z'/%3E%3Cpath d='M8.5 5.5a.5.5 0 1 1-1 0 .5.5 0 0 1 1 0'/%3E%3C/svg%3E");
}

.nav-item[b-kf7jkt427i] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-kf7jkt427i] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-kf7jkt427i] {
        padding-bottom: 1rem;
    }

    .nav-item[b-kf7jkt427i]  .nav-link {
        color: black;
        background: none;
        border: none;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
        width: 100%;
    }

.nav-item[b-kf7jkt427i]  a.active {
    background-color: hwb(48 0% 10%);
    color: black;
}

.nav-item[b-kf7jkt427i]  .nav-link:hover {
    background-color:hsl(48, 99%, 36%);
    color :black;
}

.nav-scrollable[b-kf7jkt427i] {
    display: none;
}

.navbar-toggler:checked ~ .nav-scrollable[b-kf7jkt427i] {
    display: block;
}

@media (min-width: 641px) {
    .navbar-toggler[b-kf7jkt427i] {
        display: none;
    }

    .nav-scrollable[b-kf7jkt427i] {
        /* Never collapse the sidebar for wide screens */
        display: block;

        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}
/* /Components/Pages/DeviceDetail.razor.rz.scp.css */
.card-header[b-h7vi34wibt] {
    font-weight: 600; /* normal */
}

.btn-primary:disabled[b-h7vi34wibt] {
  background-color: #cccccc;
  border-color: #bbbbbb;
  opacity: 1; /* Reset opacity if you want a solid color */
}
/* /Components/Pages/Devices.razor.rz.scp.css */
.search-container[b-hx4dmbnjhz] {
    position: relative;
    width: 100%;
}

.search-input[b-hx4dmbnjhz] {
    width: 100%;
    padding: 8px 12px 8px 36px;
    border: 1px solid #ccc;
    border-radius: 6px;
    font-size: 14px;
}

.search-input:focus[b-hx4dmbnjhz] {
    outline: none;
    border-color: #0078d4;
}

.search-icon[b-hx4dmbnjhz] {
    position: absolute;
    left: 10px;
    top: 50%;
    transform: translateY(-50%);
    font-size: 16px;
    color: #777;
    pointer-events: none;
}


.p-3px[b-hx4dmbnjhz] {
  padding: 3px;
}

.maxw-200px[b-hx4dmbnjhz] {
  max-width: 140px;
}

.minw-200px[b-hx4dmbnjhz] {
  min-width: 140px;
}
